summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorruki <[email protected]>2023-01-19 23:29:01 +0800
committerruki <[email protected]>2023-01-19 23:29:01 +0800
commit68398872d2cdee46be82d8b097ee869278a514e7 (patch)
tree72ad6d2526fd2c5d6bf47222963e382a5ea72e47
parent1f28695dd2044e30766e80bf73b002e9de976c63 (diff)
fix xmake.sh
-rwxr-xr-xcore/xmake.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/core/xmake.sh b/core/xmake.sh
index d093af445..d464b2862 100755
--- a/core/xmake.sh
+++ b/core/xmake.sh
@@ -209,14 +209,17 @@ option_find_tbox() {
# add projects
if ! has_config "external"; then
- if ! has_config "lua"; then
- if is_config "runtime" "luajit"; then
+ if is_config "runtime" "luajit"; then
+ if ! has_config "luajit"; then
includes "src/luajit"
- else
+ fi
+ if ! has_config "lua_cjson"; then
+ includes "src/lua-cjson"
+ fi
+ else
+ if ! has_config "lua"; then
includes "src/lua"
fi
- fi
- if ! has_config "lua_cjson" || is_config "runtime" "lua"; then
includes "src/lua-cjson"
fi
if ! has_config "lz4"; then